SET SERVEROUTPUT ON SIZE 1000000;
SET VERIFY OFF

DECLARE
	l_total_extracted	NUMBER;
	l_total_imported	NUMBER;				
	l_func_id			VARCHAR2(100):='CAPPOREC_SUPPLIER_LIST';
	l_code VARCHAR2(100):=UPPER('&1');
BEGIN
	SELECT COUNT(1)
	INTO l_total_extracted        
	from   PO_VENDOR_LIST_ENTRIES pvl,
  	       PO_VENDOR_SITES_ALL pvs,
  	       HR_ORGANIZATION_INFORMATION hoi  	     
  	where  pvl.vendor_site_id = pvs.vendor_site_id
  	and    pvs.org_id = hoi.organization_id
  	and    hoi.org_information3 =  (select set_of_books_id
     							     from   gl_sets_of_books
     								where  upper(short_name) = upper(l_code))
  	and    hoi.org_information_context = 'Operating Unit Information';
	
	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_PO_VENDOR_LIST_ENTRIES;

	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);			
END;
/
